# `BB.Error.Invalid.Command`
[🔗](https://github.com/beam-bots/bb/blob/main/lib/bb/error/invalid/command.ex#L5)

Invalid command or command arguments.

Raised when a command is unknown or its arguments are invalid.

# `exception`

```elixir
@spec exception(opts :: Keyword.t()) :: %BB.Error.Invalid.Command{
  __exception__: true,
  argument: term(),
  bread_crumbs: term(),
  class: term(),
  command: term(),
  path: term(),
  reason: term(),
  splode: term(),
  stacktrace: term(),
  value: term(),
  vars: term()
}
```

Create an `Elixir.BB.Error.Invalid.Command` without raising it.

## Keys

- :command
- :argument
- :value
- :reason

---

*Consult [api-reference.md](api-reference.md) for complete listing*
